import codecs


def decode_data(in_data):
    return codecs.decode(in_data, 'base64').decode('ascii')


def parse_event_data(events_data):
    result = {}
    for e in events_data:
        for a in e['attributes']:
            k, v = decode_data(a['key'].encode()), decode_data(a['value'].encode())
            if k:
                result[k] = v
    return result