package std

import (
	"gitlab.domi.do/avvy/avvy-l3/l3_node_golang/dsl/core"
)

var Std = &library{
	functors: make(map[string]core.Functor),
}

type library struct {
	functors map[string]core.Functor
}

func (lib *library) RegisterBuiltInFunc(fn *core.BuiltInFunctor) core.Functor {
	lib.functors[fn.Name] = fn
	return fn
}

func (lib *library) Get(name string) core.Functor {
	return lib.functors[name]
}
