package exec

import (
	"errors"

	aproto "gitlab.domi.do/avvy/backend-protocol/proto/avvyprotocol"
)

func txnValidate(txn *aproto.TxnRequest) (err error) {
	if txn == nil ||
		txn.AuthInfo == nil ||
		len(txn.AuthInfo.Signers) == 0 ||
		txn.Messages == nil {
		err = errors.New("BAD TXN_REQUEST")
	}
	return
}
