# L3 Node

## Build

```bash
make build # for your platform
# or
make release # linux_amd64
```

Binary will be saved in `./bin/l3_node`

## Tests

```bash
make tests
```

## Benchmarks

```bash
make bench # auto starts node local
# or
L3_NODE_ADDR=127.0.0.1:80 make bench # connects to remote node
```

Results will be saved in `./benchmarks/*.json`

For ploting bench results, exec:
```bash
pip3 install matplotlib
./benchmarks/plot.py
```

## Shell

```bash
go run shell/shell.go
```