package dsl

import (
	"gitlab.domi.do/avvy/avvy-l3/l3_node_golang/dsl/context"
	"gitlab.domi.do/avvy/avvy-l3/l3_node_golang/dsl/core"
	"gitlab.domi.do/avvy/avvy-l3/l3_node_golang/dsl/std"
)

var (
	BuildUnit    = core.Build
	Payload      = core.Payload
	NewPropsSpec = core.NewPropsSpec
)

type (
	Input          = core.Input
	BuiltInFunctor = core.BuiltInFunctor
	Context        = core.Context
	PropSpec       = core.PropSpec
	Spec           = core.Spec
	Unit           = core.Unit
)

func NewContext() Context {
	return context.NewContext(std.Std)
}
