package interfaces

type Getter interface {
	Get(key string) (val Unit)
}

type Setter interface {
	Set(key string, val Unit)
}

type Keyable interface {
	Keys() []string
}

type Sized interface {
	Size() int
}
