package interfaces

type Context interface {
	Step()

	WithBreak() Context
	IsBreak() bool

	Getter
	Setter

	// STACK
	Back() interface {
		Getter
		Setter
	}
	Push(interface {
		Getter
		Setter
	})
	Pop() Getter
}
